//
//  BandsTableViewController.m
//  Jive Factory
//
//  Created by n on 10/16/13.
//  Copyright (c) 2013 Noble Desktop. All rights reserved.
//

#import "BandsTableViewController.h"
#import "BandsDetailViewController.h"
#import "BandDetail.h"

@interface BandsTableViewController ()

@end

@implementation BandsTableViewController

@synthesize bandTitles;
@synthesize bandSubtitles;
@synthesize bandImageNames;
@synthesize bandDetails;

- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];

    bandTitles = [[NSArray alloc] initWithObjects:@"Nicole Atkins", @"Ambulance LTD", @"Sleepies", @"Black Angels",nil];
    
    bandSubtitles = [[NSArray alloc] initWithObjects:@"Tue 5/1", @"Fri 5/4", @"Sat 5/5", @"Sun 5/6",nil];
    
    bandImageNames = [[NSArray alloc] initWithObjects:@"thumb-nicole-atkins.png", @"thumb-ambulance-ltd.png", @"thumb-sleepies.png", @"thumb-black-angels.png",nil];
    
    BandDetail *nicoleAtkinsBandDetail = [[BandDetail alloc] init];
    nicoleAtkinsBandDetail.bandName = @"Nicole Atkins";
    nicoleAtkinsBandDetail.bandType = @"Rock";
    nicoleAtkinsBandDetail.bandDescription = @"Nicole will knock your socks off.";
    nicoleAtkinsBandDetail.fullImageName = @"full-nicole-atkins.png";
    nicoleAtkinsBandDetail.nextShowDate = @"Tue 5/1";
    nicoleAtkinsBandDetail.nextShowTime = @"8pm";
    nicoleAtkinsBandDetail.venue = @"Bowery Ballroom";
    nicoleAtkinsBandDetail.showDetails = @"All ages - $35";
    
    BandDetail *ambulanceLtdDetails = [[BandDetail alloc] init];
    ambulanceLtdDetails.bandName = @"Ambulance LTD";
    ambulanceLtdDetails.bandType = @"Indie Rock";
    ambulanceLtdDetails.bandDescription = @"It's been 2 years since Ambulance LTD has played in NYC. Don't miss them!";
    ambulanceLtdDetails.fullImageName = @"full-ambulance-ltd.png";
    ambulanceLtdDetails.nextShowDate = @"Fri 5/4";
    ambulanceLtdDetails.nextShowTime = @"10:30pm";
    ambulanceLtdDetails.venue = @"Mercury Lounge";
    ambulanceLtdDetails.showDetails = @"All ages - $18";
    
    BandDetail *sleepiesDetails = [[BandDetail alloc] init];
    sleepiesDetails.bandName = @"Sleepies";
    sleepiesDetails.bandType = @"Punk";
    sleepiesDetails.bandDescription = @"Come for the music, or for the show. Sleepies always impresses.";
    sleepiesDetails.fullImageName = @"full-sleepies.png";
    sleepiesDetails.nextShowDate = @"Sat 5/5";
    sleepiesDetails.nextShowTime = @"10:30pm";
    sleepiesDetails.venue = @"Jive Factory";
    sleepiesDetails.showDetails = @"Over 21 - $20";
    
    BandDetail *blackAngelsDetails = [[BandDetail alloc] init];
    blackAngelsDetails.bandName = @"Black Angels";
    blackAngelsDetails.bandType = @"Rock";
    blackAngelsDetails.bandDescription = @"Next year these guys will be selling-out much bigger venues.";
    blackAngelsDetails.fullImageName = @"full-black-angels.png";
    blackAngelsDetails.nextShowDate = @"Sun 5/6";
    blackAngelsDetails.nextShowTime = @"8pm";
    blackAngelsDetails.venue = @"Cake Shop";
    blackAngelsDetails.showDetails = @"Over 21 - $15";
    
    bandDetails = [[NSMutableArray alloc] init];
    [bandDetails addObject:nicoleAtkinsBandDetail];
    [bandDetails addObject:ambulanceLtdDetails];
    [bandDetails addObject:sleepiesDetails];
    [bandDetails addObject:blackAngelsDetails];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
#warning Potentially incomplete method implementation.
    // Return the number of sections.
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
#warning Incomplete method implementation.
    // Return the number of rows in the section.
    return [bandTitles count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"bandCell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier forIndexPath:indexPath];
    
    // Configure the cell...
    cell.textLabel.text = [bandTitles objectAtIndex:indexPath.row];
    cell.detailTextLabel.text = [bandSubtitles objectAtIndex:indexPath.row];
    cell.imageView.image = [UIImage imageNamed:[bandImageNames objectAtIndex:indexPath.row]];
    return cell;
}

- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath
{
    return 88;
}

/*
// Override to support conditional editing of the table view.
- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the specified item to be editable.
    return YES;
}
*/

/*
// Override to support editing the table view.
- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (editingStyle == UITableViewCellEditingStyleDelete) {
        // Delete the row from the data source
        [tableView deleteRowsAtIndexPaths:@[indexPath] withRowAnimation:UITableViewRowAnimationFade];
    }   
    else if (editingStyle == UITableViewCellEditingStyleInsert) {
        // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
    }   
}
*/

/*
// Override to support rearranging the table view.
- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath
{
}
*/

/*
// Override to support conditional rearranging of the table view.
- (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the item to be re-orderable.
    return YES;
}
*/

#pragma mark - Navigation

// In a story board-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ([[segue identifier] isEqualToString:@"showDetail"]) {
        NSIndexPath *indexPath = [self.tableView indexPathForSelectedRow];
        BandsDetailViewController *bandsDetailViewController = [segue destinationViewController];
        bandsDetailViewController.currentBandDetail = [bandDetails objectAtIndex:indexPath.row];
    }
}

@end
